Name:           python-libfaketime
Version:        3.0.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A fast alternative to freezegun that wraps libfaketime.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            http://pypi.python.org/pypi/libfaketime/
Source:         %{pypi_source libfaketime}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'libfaketime' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-libfaketime
Summary:        %{summary}

%description -n python3-libfaketime %_description


%prep
%autosetup -p1 -n libfaketime-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-libfaketime -f %{pyproject_files}


%changelog
%autochangelog